
# Format Namespace

```mermaid
mindmap
    root((format))
        writer
            [direct]
                 char
                    highlight
                        id{{Highlight}}
                    hyperlink
                        id{{Hyperlink}}
                    borders
                        id{{Border}}
                        id{{Padding}}
                        id{{Sides}}
                        id{{Shadow}}
                    font
                        id{{Font}}
                        id{{FontOnly}}
                        id{{FontPosition}}
                        id{{FontEffects}}
                para
                    indent_space
                        id{{Indent}}
                        id{{LineSpacing}}
                        id{{Spacing}}
                    alignment
                        id{{Alignment}}
                    text_flow
                        id{{Breaks}}
                        id{{FlowOptions}}
                        id{{Hyphenation}}
                    outline_list
                        id{{Outline}}
                        id{{LineNum}}
                        id{{ListStyle}}
                    tabs
                        id{{Tabs}}
                    drop_caps
                        id{{DropCaps}}
                    borders
                        id{{Borders}}
                        id{{Padding}}
                        id{{Shadow}}
                    area
                        id{{Color}}
                        id{{Gradient}}
                        id{{Hatch}}
                        id{{Img}}
                        id{{Pattern}}
                    transparency
                        id{{Transparency}}
                frame
                    type
                        id{{Anchor}}
                        id{{Position}}
                        id{{Size}}
                    options
                        id{{Align}}
                        id{{Names}}
                        id{{Properties}}
                        id{{Protect}}
                    wrap
                        id{{Options}}
                        id{{Settings}}
                        id{{Spacing}}
                    hyperlink
                        id{{LinkTo}}
                        id{{ImageMapOptions}}
                    borders
                        id{{Padding}}
                        id{{Sides}}
                        id{{Shadow}}
                    area
                        id{{Color}}
                        id{{Gradient}}
                        id{{Hatch}}
                        id{{Img}}
                        id{{Pattern}}
                    transparency
                        id{{Gradient}}
                        id{{Transparency}}
                shape
                    area
                        id{{Color}}
                        id{{Gradient}}
                        id{{Hatch}}
                        id{{Img}}
                        id{{Pattern}}
                    shadow
                        id{{Shadow}}
                    transparency
                        id{{Gradient}}
                        id{{Transparency}}
                image
                    area
                        id{{Color}}
                        id{{Gradient}}
                        id{{Hatch}}
                        id{{Img}}
                        id{{Pattern}}
                    borders
                        id{{Padding}}
                        id{{Sides}}
                        id{{Shadow}}
                    type
                        id{{Anchor}}
                        id{{Position}}
                        id{{Size}}
                    options
                        id{{Align}}
                        id{{Names}}
                        id{{Properties}}
                        id{{Protect}}
                    image
                        id{{Flip}}
                        id{{Rotation}}
                    crop
                        id{{ImageCrop}}
                    wrap
                        id{{Options}}
                        id{{Settings}}
                        id{{Spacing}}
                    hyperlink
                        id{{LinkTo}}
                        id{{ImageMapOptions}}
                    transparency
                        id{{Gradient}}
                        id{{Transparency}}
                obj
                    type
                        id{{Anchor}}
                        id{{Position}}
                        id{{Size}}
                    options
                        id{{Align}}
                        id{{Names}}
                        id{{Properties}}
                        id{{Protect}}
                    wrap
                        id{{Options}}
                        id{{Settings}}
                        id{{Spacing}}
                    hyperlink
                        id{{LinkTo}}
                        id{{ImageMapOptions}}
                    borders
                        id{{Padding}}
                        id{{Sides}}
                        id{{Shadow}}
                    area
                        id{{Color}}
                        id{{Gradient}}
                        id{{Hatch}}
                        id{{Img}}
                        id{{Pattern}}
                    transparency
                        id{{Gradient}}
                        id{{Transparency}}
                table
                    properties
                        id{{TableProperties}}
                    borders
                        id{{borders}}
                    background
                        id{{Img}}
            [modify]
                page
                    page
                        id{{LayoutSettings}}
                        id{{Margins}}
                        id{{PaperFormat}}
                    area
                        id{{Color}}
                        id{{Gradient}}
                        id{{Hatch}}
                        id{{Img}}
                        id{{Pattern}}
                    transparency
                        id{{Gradient}}
                        id{{Transparency}}
                    header
                        id{{Header}}
                        area
                            id{{Color}}
                            id{{Gradient}}
                            id{{Hatch}}
                            id{{Img}}
                            id{{Pattern}}
                        borders
                            id{{Padding}}
                            id{{Shadow}}
                            id{{Sides}}
                        transparency
                            id{{Gradient}}
                            id{{Transparency}}
                    footer
                        id{{Footer}}
                        area
                            id{{Color}}
                            id{{Gradient}}
                            id{{Img}}
                            id{{Hatch}}
                            id{{Pattern}}
                        borders
                            id{{Padding}}
                            id{{Shadow}}
                            id{{Sides}}
                        transparency
                            id{{Gradient}}
                            id{{Transparency}}
                    borders
                        id{{Padding}}
                        id{{Sides}}
                        id{{Shadow}}
                frame
                    type
                        id{{Anchor}}
                        id{{Position}}
                        id{{Size}}
                    options
                        id{{Align}}
                        id{{Protect}}
                        id{{Properties}}
                    wrap
                        id{{Options}}
                        id{{Settings}}
                        id{{Spacing}}
                    area
                        id{{Color}}
                        id{{Gradient}}
                        id{{Img}}
                        id{{Pattern}}
                        id{{Hatch}}
                    transparency
                        id{{Gradient}}
                        id{{Transparency}}
                    borders
                        id{{Padding}}
                        id{{Sides}}
                        id{{Shadow}}
                para
                    indent_space
                        id{{Indent}}
                        id{{LineSpacing}}
                        id{{Spacing}}
                    alignment
                        id{{Alignment}}
                    text_flow
                        id{{Breaks}}
                        id{{FlowOptions}}
                        id{{Hyphenation}}
                    font
                        id{{FontOnly}}
                        id{{FontPosition}}
                        id{{FontEffects}}
                    tabs
                        id{{Tabs}}
                    drop_caps
                        id{{DropCaps}}
                    area
                        id{{Color}}
                        id{{Gradient}}
                        id{{Img}}
                        id{{Pattern}}
                        id{{Hatch}}
                    borders
                        id{{Borders}}
                        id{{Padding}}
                        id{{Sides}}
                        id{{Shadow}}
                    outline_list
                        id{{Outline}}
                        id{{LineNum}}
                        id{{ListStyle}}
                    transparency
                        id{{Gradient}}
                        id{{Transparency}}
                    highlight
                        id{{Highlight}}
                char
                    font
                        id{{FontOnly}}
                        id{{FontPosition}}
                        id{{FontEffects}}
                    highlight
                        id{{Highlight}}
                    borders
                        id{{Padding}}
                        id{{Sides}}
                        id{{Shadow}}
            [style]
                id{{BulletList}}
                id{{Char}}
                id{{Frame}}
                id{{page}}
                id{{Para}}
        calc
            [direct]
                cell
                    alignment
                        id{{TextAlign}}
                        id{{TextOrientation}}
                        id{{Properties}}
                    borders
                        id{{Borders}}
                        id{{Padding}}
                        id{{Shadow}}
                    font
                        id{{Font}}
                        id{{FontOnly}}
                        id{{FontEffects}}
                    background
                        id{{Color}}
                    cell_protection
                        id{{CellProtection}}
                    numbers
                        id{{Numbers}}
            [modify]
                cell
                    alignment
                        id{{TextAlign}}
                        id{{TextOrientation}}
                        id{{Properties}}
                    background
                        id{{Color}}
                    borders
                        id{{Borders}}
                    font
                        id{{FontOnly}}
                        id{{FontEffects}}
                    numbers
                        id{{Numbers}}
                page
                    background
                        id{{Color}}
                        id{{Img}}
                    borders
                        id{{Padding}}
                        id{{Sides}}
                        id{{Shadow}}
                    page
                        id{{LayoutSettings}}
                        id{{Margins}}
                        id{{PaperFormat}}
                    header
                        id{{Header}}
                        area
                            id{{Color}}
                            id{{Img}}
                        borders
                            id{{Padding}}
                            id{{Shadow}}
                            id{{Sides}}
                    footer
                        id{{Footer}}
                        area
                            id{{Color}}
                            id{{Img}}
                        borders
                            id{{Padding}}
                            id{{Shadow}}
                            id{{Sides}}
                    sheet
                        id{{Order}}
                        id{{Printing}}
                        id{{ScaleReduceEnlarge}}
                        id{{ScaleNumOfPages}}
                        id{{ScalePagesWidthHeight}}
            [style]
                id{{Cell}}
                id{{Page}}
        chart2
            [direct]
                axis
                    numbers
                        id{{Numbers}}
                    font
                        id{{FontEffects}}
                        id{{FontOnly}}
                    line
                        id{{LineProperties}}
                    positioning
                        id{{AxisLine}}
                        id{{IntervalMarks}}
                        id{{LabelPosition}}
                        id{{PositionAxis}}
                general
                    area
                        id{{Color}}
                        id{{Gradient}}
                        id{{Img}}
                        id{{Pattern}}
                        id{{Hatch}}
                    borders
                        id{{LineProperties}}
                    position_size
                        id{{Position}}
                        id{{Size}}
                    transparency
                        id{{Gradient}}
                        id{{Transparency}}
                    numbers
                        id{{Numbers}}
                grid
                    id{{LineProperties}}
                legend
                    area
                        id{{Color}}
                        id{{Gradient}}
                        id{{Img}}
                        id{{Pattern}}
                        id{{Hatch}}
                    borders
                        id{{LineProperties}}
                    font
                        id{{Font}}
                        id{{FontEffects}}
                        id{{FontOnly}}
                    position_size
                        id{{Position}}
                    transparency
                        id{{Gradient}}
                        id{{Transparency}}
                series
                    data_series
                        area
                            id{{Color}}
                            id{{Gradient}}
                            id{{Img}}
                            id{{Pattern}}
                            id{{Hatch}}
                        borders
                            id{{LineProperties}}
                        options
                            id{{AlignSeries}}
                            id{{LegendEntry}}
                            id{{Orientation}}
                            id{{Plot}}
                            id{{PlotSimple}}
                            id{{Settings}}
                            id{{Orientation}}
                        transparency
                            id{{Gradient}}
                            id{{Transparency}}
                    data_labels
                        data_labels
                            id{{AttribOptions}}
                            id{{NumberFormat}}
                            id{{Orientation}}
                            id{{PercentFormat}}
                            id{{TextAttribs}}
                        borders
                            id{{LineProperties}}
                        font
                            id{{FontEffects}}
                            id{{FontOnly}}
                title
                    alignment
                        id{{Direction}}
                        id{{Orientation}}
                    area
                        id{{Color}}
                        id{{Gradient}}
                        id{{Img}}
                        id{{Pattern}}
                        id{{Hatch}}
                    borders
                        id{{LineProperties}}
                    font
                        id{{Font}}
                        id{{FontEffects}}
                        id{{FontOnly}}
                    position_size
                        id{{Position}}
                wall
                    area
                        id{{Color}}
                        id{{Gradient}}
                        id{{Img}}
                        id{{Pattern}}
                        id{{Hatch}}
                    borders
                        id{{LineProperties}}
                    transparency
                        id{{Gradient}}
                        id{{Transparency}}
        draw
            [direct]
                area
                    id{{Img}}
                    id{{Pattern}}
                    id{{Hatch}}
                transparency
                    id{{Transparency}}
                    id{{Gradient}}
            [modify]
                area
                    id{{Img}}
                    id{{Pattern}}
            [style]
        impress
            [direct]
            [modify]
            [style]
        chart
            [direct]
```
